Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 43066 - Add easy way to create method breakpoints
Add easy way to create method breakpoints
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
4.x
PC All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: UI
Depends on: 103934 103936
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 10:32 UTC by _ lcincura
Modified: 2010-04-29 09:17 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ lcincura 2004-05-11 10:32:59 UTC
In NB3.6 it was possible to create method
breakpoint from context menu in classes view. As
it was said, this was duplicate information to
explorer, so methods are not shown anymore in the
view. But with it also the feature is gone.
Would be nice to have possibility to create method
breakpoint from context menu in explorer. This way
can be created also variable breakpoints and watches.
Comment 1 Roman Ondruska 2005-05-09 14:47:47 UTC
I can imagine this behavior. On the other hand it is possible to select (double
click) the method in explorer and add breakpoint via menu. 
Comment 2 Martin Entlicher 2006-07-10 20:39:54 UTC
As suggested in issue #57442, the set of the method entry/exit breakpoints
should be available in the context menu on method nodes in the Projects window
as well as Navigator window.
Also nodes in the Call Stack view can have that in context menu.
Comment 3 Martin Entlicher 2007-05-09 19:23:40 UTC
We will add the possibility to add field and method breakpoints via the gutter
in Editor. Currently, only line breakpoints can be added that way. The extension
with field and method breakpoints looks natural.
Comment 4 Martin Entlicher 2007-05-22 15:45:39 UTC
See issue #65015, the field and method breakpoints can be submitted from the
Editor gutter now. This seems to be easy enough...
Comment 5 Quality Engineering 2010-04-29 09:17:34 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo